# Custom Object Jobs With Custom Objects service, you can submit a bulk job request to create, update, or delete custom object records in a batch. If you use Postman, you can import the custom objects endpoints as a collection into your Postman app and try out different requests to learn how the API works. You can sign up for a free account on the [Postman website](https://identity.getpostman.com/signup) and download the app in case you do not use Postman yet. Note that the Custom Object Jobs API is versioned by `Zuora-Version` in the request header. The response may be different for the same request with a different API version. Specify `Zuora-Version` in the request header if you expect a specific response schema. ## Submit a custom object bulk job - [POST /objects/jobs](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/post_customobjectbulkjob.md): Submits a bulk job request for a bulk operation on the specified custom object records. A succcessful call returns a newly created bulk job. The job ID can be used to poll the job status or upload the CSV file if it is a create or update job. ### Limits This custom object bulk jobs have the following limits: * The concurrent bulk job limit per tenant is 5. Bulk jobs in accepted, pending, or in_progress status are counted towards the concurrent bulk job limit. * The bulk job execuation order is not guaranteed, which means the bulk job that you submit ealier may be executed later. * Only the users that have the "Delete Custom Objects" permission can create a delete bulk job. Only the users that have the "Edit Custom Objects" permission can create a create or update bulk job. See Platform Permissions for more information. ## List all custom object bulk jobs - [GET /objects/jobs](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/get_allcustomobjectbulkjobs.md): Lists all custom object bulk jobs submitted by your tenant. ## Retrieve a custom object bulk job - [GET /objects/jobs/{id}](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/get_customobjectbulkjob.md): Retrieves the custom object bulk job details by job ID. Only the users that have the "View Custom Objects" permission can retrieve custom object bulk jobs. See Platform Permissions for more information. ## Upload a file for a custom object bulk job - [POST /objects/jobs/{id}/files](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/post_uploadfileforcustomobjectbulkjob.md): Uploads a .csv file for a custom object bulk job to create or update custom object records. The job must be in pending status. Only one file is allowed per job. Each file supports only one type of operation, with an id column required for update operations. The job will start once the upload is finished. Only the users that have the "Edit Custom Objects" permission can upload files to custom object bulk jobs. See Platform Permissions for more information. ## List all errors for a custom object bulk job - [GET /objects/jobs/{id}/errors](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/get_customobjectbulkjoberrors.md): Lists all errors for a custom object bulk job. ## Cancel a custom object bulk job - [PATCH /objects/jobs/{id}/cancel](https://developer.zuora.com/v1-api-reference/api/custom-object-jobs/patch_customobjectbulkjob.md): Cancel a custom object bulk job. Note that you can cancel a custom object bulk job only if the job status is accepted or pending.